Bug 1082316 - Mesa: ldconfig run for backend (ICD) drivers
Mesa: ldconfig run for backend (ICD) drivers
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: X.Org
Current
Other Other
: P2 - High : Normal (vote)
: ---
Assigned To: Stefan Dirsch
E-mail List
:
Depends on:
Blocks: 1082292
  Show dependency treegraph
 
Reported: 2018-02-22 15:02 UTC by Stefan Dirsch
Modified: 2018-06-21 21:36 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Dirsch 2018-02-22 15:02:46 UTC
- run ldconfig for backend (ICD) drivers is wrong - dri, nine, xvmc,
vdpau, va, omx, opencl, and vulkan
dri, nine and omx are fine, the remainder need fixing
Comment 1 Stefan Dirsch 2018-02-23 13:32:06 UTC
Ok. So in short: xvmc, vdpau, va, opencl, and vulkan needs fixing. ;-)
Comment 2 Stefan Dirsch 2018-02-23 14:03:37 UTC
Not so easy with our buildsystem checks. :-(

[  813s] Mesa-libOpenCL.x86_64: E: devel-file-in-non-devel-package (Badness: 50) /usr/lib64/libMesaOpenCL.so
[  813s] libXvMC_nouveau.x86_64: E: devel-file-in-non-devel-package (Badness: 50) /usr/lib64/libXvMCnouveau.so
[  813s] libXvMC_r600.x86_64: E: devel-file-in-non-devel-package (Badness: 50) /usr/lib64/libXvMCr600.so
[  813s] libvdpau_nouveau.x86_64: E: devel-file-in-non-devel-package (Badness: 50) /usr/lib64/vdpau/libvdpau_nouveau.so
[  813s] libvdpau_r300.x86_64: E: devel-file-in-non-devel-package (Badness: 50) /usr/lib64/vdpau/libvdpau_r300.so
[  813s] libvdpau_r600.x86_64: E: devel-file-in-non-devel-package (Badness: 50) /usr/lib64/vdpau/libvdpau_r600.so
[  813s] libvdpau_radeonsi.x86_64: E: devel-file-in-non-devel-package (Badness: 50) /usr/lib64/vdpau/libvdpau_radeonsi.so
[  813s] A file that is needed only e.g. when developing or building software is
[  813s] included in a non-devel package. These files should go in devel packages.
[  813s] 
[  813s] Mesa-libOpenCL.x86_64: E: library-without-ldconfig-postin (Badness: 300) /usr/lib64/libMesaOpenCL.so.1.0.0
[  813s] libXvMC_nouveau.x86_64: E: library-without-ldconfig-postin (Badness: 300) /usr/lib64/libXvMCnouveau.so.1.0.0
[  813s] libXvMC_r600.x86_64: E: library-without-ldconfig-postin (Badness: 300) /usr/lib64/libXvMCr600.so.1.0.0
[  813s] This package contains a library and provides no %post scriptlet containing a
[  813s] call to ldconfig.
[  813s] 
[  813s] Mesa-libOpenCL.x86_64: E: library-without-ldconfig-postun (Badness: 300) /usr/lib64/libMesaOpenCL.so.1.0.0
[  813s] libXvMC_nouveau.x86_64: E: library-without-ldconfig-postun (Badness: 300) /usr/lib64/libXvMCnouveau.so.1.0.0
[  813s] libXvMC_r600.x86_64: E: library-without-ldconfig-postun (Badness: 300) /usr/lib64/libXvMCr600.so.1.0.0
[  813s] This package contains a library and provides no %postun scriptlet containing a
[  813s] call to ldconfig.
[  813s] 
[  813s] (none): E: badness 2150 exceeds threshold 1000, aborting.
Comment 4 Stefan Dirsch 2018-02-26 16:53:24 UTC
Fixed.
Comment 5 Swamp Workflow Management 2018-02-26 17:40:06 UTC
This is an autogenerated message for OBS integration:
This bug (1082316) was mentioned in
https://build.opensuse.org/request/show/580280 Factory / Mesa
Comment 7 Swamp Workflow Management 2018-02-27 11:40:21 UTC
This is an autogenerated message for OBS integration:
This bug (1082316) was mentioned in
https://build.opensuse.org/request/show/580556 Factory / Mesa
Comment 9 Swamp Workflow Management 2018-02-27 21:40:10 UTC
This is an autogenerated message for OBS integration:
This bug (1082316) was mentioned in
https://build.opensuse.org/request/show/580788 Factory / Mesa
Comment 10 Swamp Workflow Management 2018-02-28 16:10:15 UTC
This is an autogenerated message for OBS integration:
This bug (1082316) was mentioned in
https://build.opensuse.org/request/show/581007 Factory / Mesa